package sun.io;

class CharToByteDefault extends CharToByteConverter {
   public String getCharacterEncoding() {
      return "ASCII7";
   }

   public int convert(char[] var1, int var2, int var3, byte[] var4, int var5, int var6) throws ConversionBufferFullException {
      int var7 = var5;

      for(int var8 = var2; var8 < var3; ++var7) {
         if (var7 >= var6) {
            throw new ConversionBufferFullException();
         }

         var4[var7] = (byte)(var1[var8] & 127);
         ++var8;
      }

      return var7 - var5;
   }

   public int flush(byte[] var1, int var2, int var3) {
      return 0;
   }

   public void reset() {
   }

   public int getMaxBytesPerChar() {
      return 1;
   }
}
