package sun.io;

class ByteToCharDefault extends ByteToCharConverter {
   public String getCharacterEncoding() {
      return "ASCII7";
   }

   public int convert(byte[] var1, int var2, int var3, char[] var4, int var5, int var6) throws ConversionBufferFullException {
      int var7 = var5;

      for(int var8 = var2; var8 < var3; ++var7) {
         if (var7 >= var6) {
            super.byteOff = var8;
            super.charOff = var7;
            throw new ConversionBufferFullException();
         }

         var4[var7] = (char)(var1[var8] & 127);
         ++var8;
      }

      super.byteOff = var3;
      super.charOff = var7;
      return var7 - var5;
   }

   public int flush(char[] var1, int var2, int var3) {
      return 0;
   }

   public void reset() {
   }
}
