package sun.io;

public abstract class ByteToCharSingleByte extends ByteToCharConverter {
   protected char[] byteToCharTable;

   public int flush(char[] var1, int var2, int var3) {
      super.byteOff = super.charOff = 0;
      return 0;
   }

   public int convert(byte[] var1, int var2, int var3, char[] var4, int var5, int var6) throws UnknownCharacterException, MalformedInputException, ConversionBufferFullException {
      super.charOff = var5;

      for(super.byteOff = var2; super.byteOff < var3; ++super.byteOff) {
         char var7 = this.byteToCharTable[var1[super.byteOff] + 128];
         if (var7 == '�') {
            if (!super.subMode) {
               super.badInputLength = 1;
               throw new UnknownCharacterException();
            }

            var7 = super.subChars[0];
         }

         if (super.charOff >= var6) {
            throw new ConversionBufferFullException();
         }

         var4[super.charOff] = var7;
         ++super.charOff;
      }

      return super.charOff - var5;
   }

   public void reset() {
      super.byteOff = super.charOff = 0;
   }
}
